--[[

obey.

																		]]
--======================================================================--
-- Shortcuts/Libraries													--
--======================================================================--
gfx = love.graphics
lfs = love.filesystem
li = love.image
keydown = love.keyboard.isDown
audio = love.audio
mouse = love.mouse
mousedown = love.mouse.isDown
function sin(x) return math.sin(math.rad(x)) end
function cos(x) return math.cos(math.rad(x)) end
function tan(x) return math.tan(math.rad(x)) end
function asin(x) return math.deg(math.asin(x)) end
function acos(x) return math.deg(math.acos(x)) end
function atan(x) return math.deg(math.atan(x)) end

require "extra"
local cron = require "cron"
--======================================================================--
-- The 'Big Three' - load, update, draw									--
--======================================================================--
function love.load()
-------- System stuff
	gfx.setBackgroundColor(60,60,60)
-------- Sound Files
	sfx_menu = audio.newSource("menu_ambient.ogg","static")
	sfx_menu:setLooping()
end
--------------------------------------------------------------------------
function love.update(dt)
-------- FPS limiter
	if dt < 1/60 then
		love.timer.sleep(1/60 - dt)
	end
	cron.update(dt)
--------
	audio.play(sfx_menu)
end
--------------------------------------------------------------------------
function love.draw()
end
--======================================================================--
-- Everything else														--
--======================================================================--
--------------------------------------------------------------------------
--------------------------------------------------------------------------
--------------------------------------------------------------------------
--------------------------------------------------------------------------
--------------------------------------------------------------------------
--------------------------------------------------------------------------
